View Issue Details

IDProjectCategoryView StatusLast Update
0000260WishesFilterspublic2008-06-24 16:58
ReporterKildorAssigned Toalexy 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.71 
Target VersionFixed in Version1.71 
Summary0000260: "динамический фильтр по дате"
Descriptionдобавить в фильтры возможность фильтровать файлы, считая время файла, начиная с текущего времени назад, а не "с начала нашей эры вперёд".
Additional InformationДумаю, что это должна быть галка, которая переключает поведение блока "дата/время".
TagsNo tags attached.
Build2399

Activities

alexy

2007-01-29 06:07

administrator   bugnote:0000399

Желательно ещё предложить дезайн интерфэйса.

HaRT

2007-08-27 08:56

reporter   bugnote:0000614

alexy, у меня есть некоторые намётки по интерфейсу. Ещё актуально?

alexy

2007-08-27 09:07

administrator   bugnote:0000615

Я в начале что то сделаю а потом когда выложу будем дружно обсуждать.

HaRT

2007-08-27 16:28

reporter   bugnote:0000616

Last edited: 2007-08-27 16:41

Я всё же разместил свои соображения, но на форуме (поскольку здесь не вставить форматирование): http://forum.farmanager.com/viewtopic.php?p=26594#26594

alexy

2008-03-29 13:50

administrator   bugnote:0001447

Первая попытка:
Всё готово в общем кроме интерфэйса - интерфэйс пока временный для тестирования фичи (идеи приниматся).
Относительная дата вносится в днях, часах, минутах и секундах (дней хоть 9999).
От месяцев и годов отказался ибо это не точные числа.

http://farmanager.com/farbugs/Far171.b2349.x86.rar

HaRT

2008-05-23 07:57

reporter   bugnote:0001522

> интерфэйс пока временный для тестирования фичи (идеи приниматся).
По интерфейсу: в секции Date/Time вижу
[ ] R [ Current ] [ Blank ]
(в русском варианте тоже "[ ] R"). Так вот эта самая R, похоже, не вынесена в языковой файл.
(С форматированием тут: http://forum.farmanager.com/viewtopic.php?p=32598#p32598)

> От месяцев и годов отказался ибо это не точные числа
При желании совсем несложно определить смысл лет и месяцев в отсчёте интервала.
Поясню на примере: сегодня 30.03.2008; надо понять, что за дата была 21.05.0003 назад. Сначала отматываем год: 2008-3=2005; затем отматываем месяц: 03.2005-05.0000=10.2004; а теперь уже к получившейся дате (30.10.2004) применяем понятную арифметику с днями, часами, минутами и т.д.
Сложности возникнут только тогда, когда в получившемся месяце не было такого числа. Но и тут можно договориться, чтобы отсекать число до разрешённого значения, т.е., например, 30.02.2005 приводить к 28.02.2005.
(С форматированием тут: http://forum.farmanager.com/viewtopic.php?p=31939#p31939)

Issue History

Date Modified Username Field Change
2007-01-29 05:44 Kildor New Issue
2007-01-29 06:07 alexy Note Added: 0000399
2007-08-24 15:00 alexy Status new => assigned
2007-08-24 15:00 alexy Assigned To => alexy
2007-08-27 08:56 HaRT Note Added: 0000614
2007-08-27 09:07 alexy Note Added: 0000615
2007-08-27 16:28 HaRT Note Added: 0000616
2007-08-27 16:41 HaRT Note Edited: 0000616
2008-03-29 13:50 alexy Note Added: 0001447
2008-05-23 07:57 HaRT Note Added: 0001522
2008-06-24 16:58 alexy Build => 2399
2008-06-24 16:58 alexy Status assigned => closed
2008-06-24 16:58 alexy Resolution open => fixed
2008-06-24 16:58 alexy Fixed in Version => 1.71